<?php
/**
 * @file
 * gt_ldap.strongarm.inc
 */

/**
 * Implements hook_strongarm().
 */
function gt_ldap_strongarm() {
  $export = array();

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes';
  $strongarm->value = array(
    'sync_every_login' => '1',
    'overwrite' => '1',
    'relations' => array(
      'name' => '',
      'mail' => '',
      'ldap_user_puid_sid' => '',
      'ldap_user_puid' => '',
      'ldap_user_puid_property' => '',
      'ldap_user_current_dn' => '',
      'ldap_user_prov_entries' => '',
      'field_full_name' => '[cas:ldap:displayname]',
      'field_telephone_number' => '[cas:ldap:telephonenumber]',
      'field_department' => '[cas:ldap:ou]',
      'field_position' => '[cas:ldap:title]',
    ),
    'roles' => array(
      'manage' => array(
        4 => 0,
        5 => 0,
        3 => 0,
      ),
      'mapping' => '',
    ),
    'ldap' => array(
      'server' => 'whitepages',
    ),
  );
  $export['cas_attributes'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_ldap_server';
  $strongarm->value = 'whitepages';
  $export['cas_attributes_ldap_server'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_overwrite';
  $strongarm->value = '0';
  $export['cas_attributes_overwrite'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_relations';
  $strongarm->value = array(
    'name' => '',
    'mail' => '',
    'ldap_user_puid_sid' => '',
    'ldap_user_puid' => '',
    'ldap_user_puid_property' => '',
    'ldap_user_current_dn' => '',
    'ldap_user_prov_entries' => '',
    'field_department' => '[cas:ldap:ou]',
    'field_full_name' => '[cas:ldap:displayname]',
    'field_position' => '[cas:ldap:title]',
    'field_telephone_number' => '[cas:ldap:telephonenumber]',
  );
  $export['cas_attributes_relations'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_roles_manage';
  $strongarm->value = array(
    5 => 0,
    4 => 0,
    3 => 0,
  );
  $export['cas_attributes_roles_manage'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_roles_mapping';
  $strongarm->value = '';
  $export['cas_attributes_roles_mapping'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'cas_attributes_sync_every_login';
  $strongarm->value = '1';
  $export['cas_attributes_sync_every_login'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'features_codecache';
  $strongarm->value = array(
    'gt_content_types' => array(
      'variable' => '34ea6a5e2eb47c943897507645e8fed1',
      'field_base' => '15bc201087cde5cecfcbe37f0413a66c',
      'field_instance' => '0043ff8b3532dc44470f92e85f83ed28',
      'dependencies' => 'f4088084ed743781c0eba703bdc72430',
      'node' => '760cc596bc3c34df7e97d32037f9597c',
    ),
    'gt_login' => array(
      'variable' => 'c062721abb5d54f6317eb7d393a66fd8',
      'dependencies' => 'bdc38e6c5b9d8f0b98e6d82fb6f3f55e',
    ),
    'gt_slideshow' => array(
      'fe_block_settings' => 'aeefec4a28953dc4be08d4d82ed3a507',
      'variable' => '16f06e7acb501f411862851200bf5d91',
      'dependencies' => 'afc158ac6fb84529dfdcd96fc657c5a8',
      'field_base' => 'ee4d9d32908f1790952da73dbb016cde',
      'field_instance' => 'fcdcea34e114a46dbf91ab7bf092f1f5',
      'menu_links' => '1969a405e87bb3bbaa2200e6300a7065',
      'user_permission' => '0227ee702789f014403f01d263b2434e',
      'flexslider_optionset' => 'e9e76b10f94da883c259086c1665bbc2',
      'node' => '855d803f4e884cfd7a34bd94556855a6',
      'views_view' => 'ac27b8a4fe6ec8eae569d1bfebffb79e',
    ),
    'gt_ldap' => array(
      'dependencies' => '9a1157e0ab3be095309ef3cc214678b2',
      'field' => 'd28afed432e18e4cac09ed5419afb5f3',
      'variable' => 'd6d2009c560e51e25fb13f04cde4b4ed',
      'field_group' => '05c3e01b8ee3677b6c8d0673a1a9d7fd',
    ),
  );
  $export['features_codecache'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'field_bundle_settings_user__user';
  $strongarm->value = array(
    'view_modes' => array(),
    'extra_fields' => array(
      'form' => array(
        'account' => array(
          'weight' => '1',
        ),
        'timezone' => array(
          'weight' => '4',
        ),
        'picture' => array(
          'weight' => '5',
        ),
        'locale' => array(
          'weight' => '2',
        ),
        'wysiwyg' => array(
          'weight' => '3',
        ),
      ),
      'display' => array(),
    ),
  );
  $export['field_bundle_settings_user__user'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'ldap_servers_encryption';
  $strongarm->value = 10;
  $export['ldap_servers_encryption'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'ldap_servers_encrypt_key';
  $strongarm->value = '86Vg9Yhy24';
  $export['ldap_servers_encrypt_key'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'ldap_servers_require_ssl_for_credentails';
  $strongarm->value = 0;
  $export['ldap_servers_require_ssl_for_credentails'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'ldap_user_conf';
  $strongarm->value = array(
    'drupalAcctProvisionServer' => 0,
    'ldapEntryProvisionServer' => 0,
    'drupalAcctProvisionTriggers' => array(
      0 => 2,
      1 => 1,
      2 => 3,
    ),
    'ldapEntryProvisionTriggers' => array(),
    'orphanedDrupalAcctBehavior' => 'ldap_user_orphan_email',
    'orphanedCheckQty' => 100,
    'userConflictResolve' => 2,
    'manualAccountConflict' => 1,
    'acctCreation' => 4,
    'ldapUserSynchMappings' => NULL,
  );
  $export['ldap_user_conf'] = $strongarm;

  return $export;
}
