<?php
/**
 * @file
 * gt_ldap.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function gt_ldap_field_group_info() {
  $export = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_unneeded|user|user|form';
  $field_group->group_name = 'group_unneeded';
  $field_group->entity_type = 'user';
  $field_group->bundle = 'user';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Unneeded Fields',
    'weight' => '6',
    'children' => array(
      0 => 'ldap_user_puid_sid',
      1 => 'ldap_user_puid',
      2 => 'ldap_user_puid_property',
      3 => 'ldap_user_current_dn',
      4 => 'ldap_user_prov_entries',
      5 => 'ldap_user_last_checked',
      6 => 'account',
      7 => 'timezone',
      8 => 'locale',
      9 => 'wysiwyg',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'label' => 'Unneeded Fields',
      'instance_settings' => array(
        'required_fields' => 0,
        'classes' => '',
        'description' => '',
      ),
      'formatter' => 'closed',
    ),
  );
  $export['group_unneeded|user|user|form'] = $field_group;

  return $export;
}
